var ajaxType='';
var ajaxHot='';
var currentNo=0;

function locatePage(index){
	currentNo=index;
	ajaxData();
}

function ajaxData(){
	$.ajax({
		// 用POST方式传输
		type : "POST",
		// 数据格式:JSON
		dataType : "json",
		// 目标地址
		url : '/sc/ajaxUserAdviceList.action',
		data : {
					'advice.adviceType':ajaxType,
					'advice.hotFlag':ajaxHot,
					'advice.currentNo':currentNo,
					'advice.gameId':$('#gameId').val(),
					'advice.href':$('#href').val()
				},
				// ${hot.adviceStatus eq '0' ? '<i class="iPen">' : '<i
				// class="iRight">'}
		success : function(json) {
			if(json.success==true){
				var html='';
				$.each(json.list,function(i,item){
					html+='<dl>'
		                  +'<dd class="tit1"><a href="/sc/'+item.adviceNo+'.html" target="_blank">'+(item.adviceType=='1'?'[咨询]':item.adviceType=='2'?'[投诉]':'[建议]')+item.adviceComment+'</a></dd><dd class="tit2">'+item.createDate+'</dd>'
		                    +'<dd class="tit3">'+(item.adviceStatus=='0'?'<i class="iPen">':'<i class="iRight">')+'</i></dd><dd class="tit4">'+item.replyDate+'</dd>'
		                    +'<dd class="tit5">'+item.pageView+'</dd></dl> ';
				});
				$('.showOne').html(html);
				var pageHtml='';
				if(ajaxType==''&&ajaxHot==''){
					$('.pager').css('display','none');
				}else{	
					if(json.instance.pageCount==0){
						pageHtml='<a href="#" class="none">上一页</a>';
						pageHtml+='<a href="#" class="hover">1</a>';
					}else{
						if(json.instance.currentNo=='0'){
							pageHtml='<a class="none">上一页</a>';
						}else{
							pageHtml='<a onclick="return locatePage('+(json.instance.currentNo-1)+')">上一页</a>';
						}
						
						if(json.instance.pageCount<=9){
							for(var i=1; i<=json.instance.pageCount;i++){
								if(i-1==json.instance.currentNo){
									pageHtml+='<a onclick="return locatePage('+(json.instance.currentNo-1)+')" class="hover">'+i+'</a>';
								}else{
									pageHtml+='<a onclick="return locatePage('+(i-1)+')">'+i+'</a>';
								}
							}
						}else{
							if(json.instance.currentNo<4){
								for(var i=1; i<=9;i++){
									if(i-1==json.instance.currentNo){
										pageHtml+='<a href="#" class="hover">'+i+'</a>';
									}else{
										pageHtml+='<a onclick="return locatePage('+(i-1)+')">'+i+'</a>';
									}
								}
							}else{
								
								if(json.instance.currentNo+6 >json.instance.pageCount){
									pageHtml+='<a href="javascript:void(0)" onclick="return locatePage(0)">1..</a>';
									for(var i=json.instance.pageCount-7; i<=json.instance.pageCount;i++){
										if(i-1==json.instance.currentNo){
											pageHtml+='<a class="hover">'+i+'</a>';
										}else{
											pageHtml+='<a onclick="return locatePage('+(i-1)+')">'+i+'</a>';
										}
									}
								}else{
									if(json.instance.currentNo+6 >json.instance.pageCount){
										pageHtml+='<a href="javascript:void(0)" onclick="return locatePage(0)">1..</a>';
										for(var i=json.instance.pageCount-7; i<=json.instance.pageCount;i++){
											if(i-1==json.instance.currentNo){
												pageHtml+='<a class="hover">'+i+'</a>';
											}else{
												pageHtml+='<a onclick="return locatePage('+(i-1)+')">'+i+'</a>';
											}
										}
									}else{
										for(var i=json.instance.currentNo-2; i<=json.instance.currentNo+6;i++){
											if(i-1==json.instance.currentNo){
												pageHtml+='<a class="hover">'+i+'</a>';
											}else{
												pageHtml+='<a onclick="return locatePage('+(i-1)+')">'+i+'</a>';
											}
										}
									}
							}
						
							}
						}
				}
					if(json.instance.currentNo==json.instance.pageCount-1){
						pageHtml+='<a class="none" >下一页</a>';
					}else{
						pageHtml+='<a onclick="return locatePage('+(json.instance.currentNo+1)+')">下一页</a>';
					}
					$('.pager').html(pageHtml);
					$('.pager').css('display','block');	
				}
				return true;
			}else{
				alert(json);
				return false;
			}
		}
	});
}

function doSubmit(){
	window.location.href = "/sc/searchByKeyWord.action?comment="+encodeURI(encodeURI($('#comment').val()))+"&currentNo="+$('#currentNo').val();
}
$(document).ready(function(){
	$(".menuItem").hover(function(){
		$(this).addClass("menuItemCurrent");
	},function(){
		$(this).removeClass("menuItemCurrent");
	});
	$(".typeTab").next().find('div').not(".showOne").hide();
	$(".typeTab li a").click(
		function(){
			var type = $(this).attr('type');
			if(type=='hot'){
				ajaxHot = 1;
				currentNo=0;
			}else if(type=='new'){
				ajaxType='';
				ajaxHot='';
				currentNo=0;
			}else{
				ajaxHot='';
				ajaxType=type;
				currentNo=0;
			}
			$(this).parent().parent().children().removeClass("current");
			$(this).parent().addClass("current");
			ajaxData();
			/*
			 * var tabindex = ($(this).parent().parent().find("li
			 * a").index($(this))); var nextdiv =
			 * $(this).parent().parent().next().find('div').parent();
			 * $(nextdiv.children().not('dl')).hide();
			 * $(nextdiv.children().not('dl').get(tabindex)).show();
			 */
		}
	);
	
	$('#search').click(function(){
		doSubmit();
	});
	
	document.onkeydown = function(e){ 
	    var ev = document.all ? window.event : e;
	    if(ev.keyCode==13) {
	    	$('#search').trigger('click');
	     }
	}
	
	
	// 解决方案Metro划上显示
     $(".sArea").hover(
         function(){
             $(this).children(".cover").stop().animate({top:'0'});
         },
         function(){
             $(this).children(".cover").stop().animate({top:'60px'});
         }
     );
});

